Subject: Re: linux-next: build failure after merge of the crc and sound trees

From: Takashi Iwai <[email-masked]>
Date: Mon, 20 Jan 2025 08:42:47 +0100

On Mon, 20 Jan 2025 08:28:10 +0100,
Eric Biggers wrote:
> 
> On Mon, Jan 20, 2025 at 06:17:44PM +1100, Stephen Rothwell wrote:
> > Probably caused by commit
> > 
> >   bb5f86ea50ff ("ALSA: hda/tas2781: Add tas2781 hda SPI driver")
> > 
> > from the sound tree - it selects CRC32_SARWATE.
> 
> It needs to select CRC32, not CRC32_SARWATE.  See 86c96e7289c5 where I already
> fixed the last one.  Not sure why the same bug is getting added again.

Sorry for the overlook.  That's a new driver from the past after long
development time, and obviously we overlooked this upstream change for
i2c driver.

Will queue up your suggested fix.

thanks,

Takashi